io.vertx.groovy.redis

## Class RedisClient_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.redis.RedisClient_GroovyExtension

-     public class RedisClient_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisClient_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RedisClient` | `blpop(RedisClient j_receiver, String key, int seconds, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `blpopMany(RedisClient j_receiver, List<String> keys, int seconds, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `brpop(RedisClient j_receiver, String key, int seconds, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `brpopMany(RedisClient j_receiver, List<String> keys, int seconds, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `clientKill(RedisClient j_receiver, Map<String,Object> filter, Handler<AsyncResult<Long>> handler)`
    `static RedisClient` | `clusterGetkeysinslot(RedisClient j_receiver, long slot, long count, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `clusterInfo(RedisClient j_receiver, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `clusterNodes(RedisClient j_receiver, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `clusterSlaves(RedisClient j_receiver, String nodeId, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `clusterSlots(RedisClient j_receiver, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `command(RedisClient j_receiver, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `commandGetkeys(RedisClient j_receiver, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `commandInfo(RedisClient j_receiver, List<String> commands, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `configGet(RedisClient j_receiver, String parameter, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `eval(RedisClient j_receiver, String script, List<String> keys, List<String> args, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `evalsha(RedisClient j_receiver, String sha1, List<String> keys, List<String> values, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `geoaddMany(RedisClient j_receiver, String key, List<Map<String,Object>> members, Handler<AsyncResult<Long>> handler)`
    `static RedisClient` | `geohash(RedisClient j_receiver, String key, String member, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `geohashMany(RedisClient j_receiver, String key, List<String> members, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `geopos(RedisClient j_receiver, String key, String member, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `geoposMany(RedisClient j_receiver, String key, List<String> members, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `georadius(RedisClient j_receiver, String key, double longitude, double latitude, double radius, GeoUnit unit, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `georadiusbymember(RedisClient j_receiver, String key, String member, double radius, GeoUnit unit, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `georadiusbymemberWithOptions(RedisClient j_receiver, String key, String member, double radius, GeoUnit unit, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `georadiusWithOptions(RedisClient j_receiver, String key, double longitude, double latitude, double radius, GeoUnit unit, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `hgetall(RedisClient j_receiver, String key, Handler<AsyncResult<Map<String,Object>>> handler)`
    `static RedisClient` | `hkeys(RedisClient j_receiver, String key, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `hmget(RedisClient j_receiver, String key, List<String> fields, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `hmset(RedisClient j_receiver, String key, Map<String,Object> values, Handler<AsyncResult<String>> handler)`
    `static RedisClient` | `hscan(RedisClient j_receiver, String key, String cursor, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `hvals(RedisClient j_receiver, String key, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `info(RedisClient j_receiver, Handler<AsyncResult<Map<String,Object>>> handler)`
    `static RedisClient` | `infoSection(RedisClient j_receiver, String section, Handler<AsyncResult<Map<String,Object>>> handler)`
    `static RedisClient` | `keys(RedisClient j_receiver, String pattern, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `lrange(RedisClient j_receiver, String key, long from, long to, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `mget(RedisClient j_receiver, String key, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `mgetMany(RedisClient j_receiver, List<String> keys, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `migrate(RedisClient j_receiver, String host, int port, String key, int destdb, long timeout, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisClient` | `mset(RedisClient j_receiver, Map<String,Object> keyvals, Handler<AsyncResult<String>> handler)`
    `static RedisClient` | `msetnx(RedisClient j_receiver, Map<String,Object> keyvals, Handler<AsyncResult<Long>> handler)`
    `static RedisClient` | `psubscribe(RedisClient j_receiver, String pattern, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `psubscribeMany(RedisClient j_receiver, List<String> patterns, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `pubsubChannels(RedisClient j_receiver, String pattern, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `pubsubNumsub(RedisClient j_receiver, List<String> channels, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `role(RedisClient j_receiver, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `scan(RedisClient j_receiver, String cursor, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `scriptExists(RedisClient j_receiver, String script, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `scriptExistsMany(RedisClient j_receiver, List<String> scripts, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `sdiff(RedisClient j_receiver, String key, List<String> cmpkeys, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `setBinaryWithOptions(RedisClient j_receiver, String key, Buffer value, Map<String,Object> options, Handler<AsyncResult<Void>> handler)`
    `static RedisClient` | `setWithOptions(RedisClient j_receiver, String key, String value, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisClient` | `sinter(RedisClient j_receiver, List<String> keys, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `slowlogGet(RedisClient j_receiver, int limit, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `smembers(RedisClient j_receiver, String key, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `sort(RedisClient j_receiver, String key, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `spopMany(RedisClient j_receiver, String key, int count, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `srandmemberCount(RedisClient j_receiver, String key, int count, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `sscan(RedisClient j_receiver, String key, String cursor, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `subscribe(RedisClient j_receiver, String channel, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `subscribeMany(RedisClient j_receiver, List<String> channels, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `sunion(RedisClient j_receiver, List<String> keys, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `time(RedisClient j_receiver, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `zrange(RedisClient j_receiver, String key, long start, long stop, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `zrangebylex(RedisClient j_receiver, String key, String min, String max, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `zrangebyscore(RedisClient j_receiver, String key, String min, String max, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `zrangeWithOptions(RedisClient j_receiver, String key, long start, long stop, RangeOptions options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `zrevrange(RedisClient j_receiver, String key, long start, long stop, RangeOptions options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `zrevrangebylex(RedisClient j_receiver, String key, String max, String min, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `zrevrangebyscore(RedisClient j_receiver, String key, String max, String min, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisClient` | `zscan(RedisClient j_receiver, String key, String cursor, Map<String,Object> options, Handler<AsyncResult<List<Object>>> handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RedisClient_GroovyExtension

          public RedisClient_GroovyExtension()

  - ### Method Detail

    - #### blpop

          public static RedisClient blpop(RedisClient j_receiver,
                                          String key,
                                          int seconds,
                                          Handler<AsyncResult<List<Object>>> handler)

    - #### blpopMany

          public static RedisClient blpopMany(RedisClient j_receiver,
                                              List<String> keys,
                                              int seconds,
                                              Handler<AsyncResult<List<Object>>> handler)

    - #### brpop

          public static RedisClient brpop(RedisClient j_receiver,
                                          String key,
                                          int seconds,
                                          Handler<AsyncResult<List<Object>>> handler)

    - #### brpopMany

          public static RedisClient brpopMany(RedisClient j_receiver,
                                              List<String> keys,
                                              int seconds,
                                              Handler<AsyncResult<List<Object>>> handler)

    - #### clientKill

          public static RedisClient clientKill(RedisClient j_receiver,
                                               Map<String,Object> filter,
                                               Handler<AsyncResult<Long>> handler)

    - #### clusterGetkeysinslot

          public static RedisClient clusterGetkeysinslot(RedisClient j_receiver,
                                                         long slot,
                                                         long count,
                                                         Handler<AsyncResult<List<Object>>> handler)

    - #### clusterInfo

          public static RedisClient clusterInfo(RedisClient j_receiver,
                                                Handler<AsyncResult<List<Object>>> handler)

    - #### clusterNodes

          public static RedisClient clusterNodes(RedisClient j_receiver,
                                                 Handler<AsyncResult<List<Object>>> handler)

    - #### clusterSlaves

          public static RedisClient clusterSlaves(RedisClient j_receiver,
                                                  String nodeId,
                                                  Handler<AsyncResult<List<Object>>> handler)

    - #### clusterSlots

          public static RedisClient clusterSlots(RedisClient j_receiver,
                                                 Handler<AsyncResult<List<Object>>> handler)

    - #### command

          public static RedisClient command(RedisClient j_receiver,
                                            Handler<AsyncResult<List<Object>>> handler)

    - #### commandGetkeys

          public static RedisClient commandGetkeys(RedisClient j_receiver,
                                                   Handler<AsyncResult<List<Object>>> handler)

    - #### commandInfo

          public static RedisClient commandInfo(RedisClient j_receiver,
                                                List<String> commands,
                                                Handler<AsyncResult<List<Object>>> handler)

    - #### configGet

          public static RedisClient configGet(RedisClient j_receiver,
                                              String parameter,
                                              Handler<AsyncResult<List<Object>>> handler)

    - #### eval

          public static RedisClient eval(RedisClient j_receiver,
                                         String script,
                                         List<String> keys,
                                         List<String> args,
                                         Handler<AsyncResult<List<Object>>> handler)

    - #### evalsha

          public static RedisClient evalsha(RedisClient j_receiver,
                                            String sha1,
                                            List<String> keys,
                                            List<String> values,
                                            Handler<AsyncResult<List<Object>>> handler)

    - #### hgetall

          public static RedisClient hgetall(RedisClient j_receiver,
                                            String key,
                                            Handler<AsyncResult<Map<String,Object>>> handler)

    - #### hkeys

          public static RedisClient hkeys(RedisClient j_receiver,
                                          String key,
                                          Handler<AsyncResult<List<Object>>> handler)

    - #### hmget

          public static RedisClient hmget(RedisClient j_receiver,
                                          String key,
                                          List<String> fields,
                                          Handler<AsyncResult<List<Object>>> handler)

    - #### hmset

          public static RedisClient hmset(RedisClient j_receiver,
                                          String key,
                                          Map<String,Object> values,
                                          Handler<AsyncResult<String>> handler)

    - #### hvals

          public static RedisClient hvals(RedisClient j_receiver,
                                          String key,
                                          Handler<AsyncResult<List<Object>>> handler)

    - #### info

          public static RedisClient info(RedisClient j_receiver,
                                         Handler<AsyncResult<Map<String,Object>>> handler)

    - #### infoSection

          public static RedisClient infoSection(RedisClient j_receiver,
                                                String section,
                                                Handler<AsyncResult<Map<String,Object>>> handler)

    - #### keys

          public static RedisClient keys(RedisClient j_receiver,
                                         String pattern,
                                         Handler<AsyncResult<List<Object>>> handler)

    - #### lrange

          public static RedisClient lrange(RedisClient j_receiver,
                                           String key,
                                           long from,
                                           long to,
                                           Handler<AsyncResult<List<Object>>> handler)

    - #### mget

          public static RedisClient mget(RedisClient j_receiver,
                                         String key,
                                         Handler<AsyncResult<List<Object>>> handler)

    - #### mgetMany

          public static RedisClient mgetMany(RedisClient j_receiver,
                                             List<String> keys,
                                             Handler<AsyncResult<List<Object>>> handler)

    - #### migrate

          public static RedisClient migrate(RedisClient j_receiver,
                                            String host,
                                            int port,
                                            String key,
                                            int destdb,
                                            long timeout,
                                            Map<String,Object> options,
                                            Handler<AsyncResult<String>> handler)

    - #### mset

          public static RedisClient mset(RedisClient j_receiver,
                                         Map<String,Object> keyvals,
                                         Handler<AsyncResult<String>> handler)

    - #### msetnx

          public static RedisClient msetnx(RedisClient j_receiver,
                                           Map<String,Object> keyvals,
                                           Handler<AsyncResult<Long>> handler)

    - #### psubscribe

          public static RedisClient psubscribe(RedisClient j_receiver,
                                               String pattern,
                                               Handler<AsyncResult<List<Object>>> handler)

    - #### psubscribeMany

          public static RedisClient psubscribeMany(RedisClient j_receiver,
                                                   List<String> patterns,
                                                   Handler<AsyncResult<List<Object>>> handler)

    - #### pubsubChannels

          public static RedisClient pubsubChannels(RedisClient j_receiver,
                                                   String pattern,
                                                   Handler<AsyncResult<List<Object>>> handler)

    - #### pubsubNumsub

          public static RedisClient pubsubNumsub(RedisClient j_receiver,
                                                 List<String> channels,
                                                 Handler<AsyncResult<List<Object>>> handler)

    - #### role

          public static RedisClient role(RedisClient j_receiver,
                                         Handler<AsyncResult<List<Object>>> handler)

    - #### scriptExists

          public static RedisClient scriptExists(RedisClient j_receiver,
                                                 String script,
                                                 Handler<AsyncResult<List<Object>>> handler)

    - #### scriptExistsMany

          public static RedisClient scriptExistsMany(RedisClient j_receiver,
                                                     List<String> scripts,
                                                     Handler<AsyncResult<List<Object>>> handler)

    - #### sdiff

          public static RedisClient sdiff(RedisClient j_receiver,
                                          String key,
                                          List<String> cmpkeys,
                                          Handler<AsyncResult<List<Object>>> handler)

    - #### setWithOptions

          public static RedisClient setWithOptions(RedisClient j_receiver,
                                                   String key,
                                                   String value,
                                                   Map<String,Object> options,
                                                   Handler<AsyncResult<String>> handler)

    - #### setBinaryWithOptions

          public static RedisClient setBinaryWithOptions(RedisClient j_receiver,
                                                         String key,
                                                         Buffer value,
                                                         Map<String,Object> options,
                                                         Handler<AsyncResult<Void>> handler)

    - #### sinter

          public static RedisClient sinter(RedisClient j_receiver,
                                           List<String> keys,
                                           Handler<AsyncResult<List<Object>>> handler)

    - #### slowlogGet

          public static RedisClient slowlogGet(RedisClient j_receiver,
                                               int limit,
                                               Handler<AsyncResult<List<Object>>> handler)

    - #### smembers

          public static RedisClient smembers(RedisClient j_receiver,
                                             String key,
                                             Handler<AsyncResult<List<Object>>> handler)

    - #### sort

          public static RedisClient sort(RedisClient j_receiver,
                                         String key,
                                         Map<String,Object> options,
                                         Handler<AsyncResult<List<Object>>> handler)

    - #### spopMany

          public static RedisClient spopMany(RedisClient j_receiver,
                                             String key,
                                             int count,
                                             Handler<AsyncResult<List<Object>>> handler)

    - #### srandmemberCount

          public static RedisClient srandmemberCount(RedisClient j_receiver,
                                                     String key,
                                                     int count,
                                                     Handler<AsyncResult<List<Object>>> handler)

    - #### subscribe

          public static RedisClient subscribe(RedisClient j_receiver,
                                              String channel,
                                              Handler<AsyncResult<List<Object>>> handler)

    - #### subscribeMany

          public static RedisClient subscribeMany(RedisClient j_receiver,
                                                  List<String> channels,
                                                  Handler<AsyncResult<List<Object>>> handler)

    - #### sunion

          public static RedisClient sunion(RedisClient j_receiver,
                                           List<String> keys,
                                           Handler<AsyncResult<List<Object>>> handler)

    - #### time

          public static RedisClient time(RedisClient j_receiver,
                                         Handler<AsyncResult<List<Object>>> handler)

    - #### zrange

          public static RedisClient zrange(RedisClient j_receiver,
                                           String key,
                                           long start,
                                           long stop,
                                           Handler<AsyncResult<List<Object>>> handler)

    - #### zrangeWithOptions

          public static RedisClient zrangeWithOptions(RedisClient j_receiver,
                                                      String key,
                                                      long start,
                                                      long stop,
                                                      RangeOptions options,
                                                      Handler<AsyncResult<List<Object>>> handler)

    - #### zrangebylex

          public static RedisClient zrangebylex(RedisClient j_receiver,
                                                String key,
                                                String min,
                                                String max,
                                                Map<String,Object> options,
                                                Handler<AsyncResult<List<Object>>> handler)

    - #### zrangebyscore

          public static RedisClient zrangebyscore(RedisClient j_receiver,
                                                  String key,
                                                  String min,
                                                  String max,
                                                  Map<String,Object> options,
                                                  Handler<AsyncResult<List<Object>>> handler)

    - #### zrevrange

          public static RedisClient zrevrange(RedisClient j_receiver,
                                              String key,
                                              long start,
                                              long stop,
                                              RangeOptions options,
                                              Handler<AsyncResult<List<Object>>> handler)

    - #### zrevrangebylex

          public static RedisClient zrevrangebylex(RedisClient j_receiver,
                                                   String key,
                                                   String max,
                                                   String min,
                                                   Map<String,Object> options,
                                                   Handler<AsyncResult<List<Object>>> handler)

    - #### zrevrangebyscore

          public static RedisClient zrevrangebyscore(RedisClient j_receiver,
                                                     String key,
                                                     String max,
                                                     String min,
                                                     Map<String,Object> options,
                                                     Handler<AsyncResult<List<Object>>> handler)

    - #### scan

          public static RedisClient scan(RedisClient j_receiver,
                                         String cursor,
                                         Map<String,Object> options,
                                         Handler<AsyncResult<List<Object>>> handler)

    - #### sscan

          public static RedisClient sscan(RedisClient j_receiver,
                                          String key,
                                          String cursor,
                                          Map<String,Object> options,
                                          Handler<AsyncResult<List<Object>>> handler)

    - #### hscan

          public static RedisClient hscan(RedisClient j_receiver,
                                          String key,
                                          String cursor,
                                          Map<String,Object> options,
                                          Handler<AsyncResult<List<Object>>> handler)

    - #### zscan

          public static RedisClient zscan(RedisClient j_receiver,
                                          String key,
                                          String cursor,
                                          Map<String,Object> options,
                                          Handler<AsyncResult<List<Object>>> handler)

    - #### geoaddMany

          public static RedisClient geoaddMany(RedisClient j_receiver,
                                               String key,
                                               List<Map<String,Object>> members,
                                               Handler<AsyncResult<Long>> handler)

    - #### geohash

          public static RedisClient geohash(RedisClient j_receiver,
                                            String key,
                                            String member,
                                            Handler<AsyncResult<List<Object>>> handler)

    - #### geohashMany

          public static RedisClient geohashMany(RedisClient j_receiver,
                                                String key,
                                                List<String> members,
                                                Handler<AsyncResult<List<Object>>> handler)

    - #### geopos

          public static RedisClient geopos(RedisClient j_receiver,
                                           String key,
                                           String member,
                                           Handler<AsyncResult<List<Object>>> handler)

    - #### geoposMany

          public static RedisClient geoposMany(RedisClient j_receiver,
                                               String key,
                                               List<String> members,
                                               Handler<AsyncResult<List<Object>>> handler)

    - #### georadius

          public static RedisClient georadius(RedisClient j_receiver,
                                              String key,
                                              double longitude,
                                              double latitude,
                                              double radius,
                                              GeoUnit unit,
                                              Handler<AsyncResult<List<Object>>> handler)

    - #### georadiusWithOptions

          public static RedisClient georadiusWithOptions(RedisClient j_receiver,
                                                         String key,
                                                         double longitude,
                                                         double latitude,
                                                         double radius,
                                                         GeoUnit unit,
                                                         Map<String,Object> options,
                                                         Handler<AsyncResult<List<Object>>> handler)

    - #### georadiusbymember

          public static RedisClient georadiusbymember(RedisClient j_receiver,
                                                      String key,
                                                      String member,
                                                      double radius,
                                                      GeoUnit unit,
                                                      Handler<AsyncResult<List<Object>>> handler)

    - #### georadiusbymemberWithOptions

          public static RedisClient georadiusbymemberWithOptions(RedisClient j_receiver,
                                                                 String key,
                                                                 String member,
                                                                 double radius,
                                                                 GeoUnit unit,
                                                                 Map<String,Object> options,
                                                                 Handler<AsyncResult<List<Object>>> handler)

Copyright © 2017. All rights reserved.